#-----------------------------------------------------------------------------
%bcond		tests		0
#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f3)
%define		bname		%(echo %{name} | cut -d '-' -f2-3 | tr '-' '_')
#-----------------------------------------------------------------------------
Name		:	python3-requests-toolbelt
Version		:	1.0.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Utility belt for advanced users of python-requests
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://github.com/requests/toolbelt/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

%if %{with tests}
BuildRequires	:	python3-betamax
BuildRequires	:	python3-certifi
BuildRequires	:	python3-charset-normalizer
BuildRequires	:	python3-idna
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-requests
BuildRequires	:	python3-urllib3
%endif

BuildRequires	:	python3-pytest
BuildRequires	:	python3-iniconfig

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
This is just a collection of utilities for python-requests,
but don’t really belong in requests proper. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/%{bname}/*.py
%{python3_sitelib}/%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{bname}/adapters/*.py
%{python3_sitelib}/%{bname}/adapters/__pycache__/*.pyc
%{python3_sitelib}/%{bname}/auth/*.py
%{python3_sitelib}/%{bname}/auth/__pycache__/*.pyc
%{python3_sitelib}/%{bname}/cookies/*.py
%{python3_sitelib}/%{bname}/cookies/__pycache__/*.pyc
%{python3_sitelib}/%{bname}/downloadutils/*.py
%{python3_sitelib}/%{bname}/downloadutils/__pycache__/*.pyc
%{python3_sitelib}/%{bname}/multipart/*.py
%{python3_sitelib}/%{bname}/multipart/__pycache__/*.pyc
%{python3_sitelib}/%{bname}/threaded/*.py
%{python3_sitelib}/%{bname}/threaded/__pycache__/*.pyc
%{python3_sitelib}/%{bname}/utils/*.py
%{python3_sitelib}/%{bname}/utils/__pycache__/*.pyc
%{python3_sitelib}/%{bname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with tests}
/usr/bin/py.test					\
	-v						\
	--ignore=tests/test_x509_adapter.py 		\
	-k "						\
	   not test_stream_response_to_specific_filename\
	   and						\
	   not test_stream_response_to_directory	\
	   and						\
	   not test_stream_response_to_existing_file	\
	   and						\
	   not test_stream_response_to_file_like_object	\
	   and						\
	   not test_stream_response_to_file_chunksize	\
	   "
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
